<!--
 - Copyright (C) 2004, 2005 Internet Systems Consortium, Inc. ("ISC")
 - Copyright (C) 2000-2002 Internet Software Consortium.
 - 
 - Permission to use, copy, modify, and distribute this software for any
 - purpose with or without fee is hereby granted, provided that the above
 - copyright notice and this permission notice appear in all copies.
 - 
 - THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
 - REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 - AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
 - INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 - LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 - OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 - PERFORMANCE OF THIS SOFTWARE.
-->
<!-- $Id: named-checkconf.html,v 1.5.2.1.4.15 2006/06/29 13:02:30 marka Exp $ -->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>named-checkconf</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="refentry" lang="en">
<a name="id2482688"></a><div class="titlepage"></div>
<div class="refnamediv">
<h2>Name</h2>
<p><span class="application">named-checkconf</span> &#8212; named configuration file syntax checking tool</p>
</div>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="cmdsynopsis"><p><code class="command">named-checkconf</code>  [<code class="option">-v</code>] [<code class="option">-j</code>] [<code class="option">-t <em class="replaceable"><code>directory</code></em></code>] {filename} [<code class="option">-z</code>]</p></div>
</div>
<div class="refsect1" lang="en">
<a name="id2549430"></a><h2>DESCRIPTION</h2>
<p>
        <span><strong class="command">named-checkconf</strong></span> checks the syntax, but not
	the semantics, of a named configuration file.
    </p>
</div>
<div class="refsect1" lang="en">
<a name="id2549443"></a><h2>OPTIONS</h2>
<div class="variablelist"><dl>
<dt><span class="term">-t <em class="replaceable"><code>directory</code></em></span></dt>
<dd><p>
	      chroot to <code class="filename">directory</code> so that include
	      directives in the configuration file are processed as if
	      run by a similarly chrooted named.
	  </p></dd>
<dt><span class="term">-v</span></dt>
<dd><p>
	      Print the version of the <span><strong class="command">named-checkconf</strong></span>
	      program and exit.
	  </p></dd>
<dt><span class="term">-z</span></dt>
<dd><p>
	      Perform a check load the master zonefiles found in
	      <code class="filename">named.conf</code>.
	  </p></dd>
<dt><span class="term">-j</span></dt>
<dd><p>
	      When loading a zonefile read the journal if it exists.
	  </p></dd>
<dt><span class="term">filename</span></dt>
<dd><p>
	       The name of the configuration file to be checked.  If not
	       specified, it defaults to <code class="filename">/etc/named.conf</code>.
	  </p></dd>
</dl></div>
</div>
<div class="refsect1" lang="en">
<a name="id2549534"></a><h2>RETURN VALUES</h2>
<p>
        <span><strong class="command">named-checkconf</strong></span> returns an exit status of 1 if
	errors were detected and 0 otherwise.
    </p>
</div>
<div class="refsect1" lang="en">
<a name="id2549547"></a><h2>SEE ALSO</h2>
<p>
      <span class="citerefentry"><span class="refentrytitle">named</span>(8)</span>,
      <em class="citetitle">BIND 9 Administrator Reference Manual</em>.
    </p>
</div>
<div class="refsect1" lang="en">
<a name="id2549639"></a><h2>AUTHOR</h2>
<p>
        <span class="corpauthor">Internet Systems Consortium</span>
    </p>
</div>
</div></body>
</html>
